> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get k8s cluster



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}:
    get:
      tags:
        - Managed Kubernetes
      summary: Get k8s cluster
      operationId: K8sClusterViewSetV2.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: cluster_name
          required: true
          description: Cluster name
          schema:
            description: Cluster name
            example: my-cluster
            examples:
              - my-cluster
            title: Cluster Name
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/K8sClusterV2Serializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            k8s_cluster = client.cloud.k8s.clusters.get(
                cluster_name="my-cluster",
                project_id=1,
                region_id=7,
            )
            print(k8s_cluster.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tk8sCluster, err := client.Cloud.K8S.Clusters.Get(\n\t\tcontext.TODO(),\n\t\t\"my-cluster\",\n\t\tcloud.K8SClusterGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(7),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", k8sCluster.ID)\n}\n"
components:
  schemas:
    K8sClusterV2Serializer:
      properties:
        add_ons:
          $ref: '#/components/schemas/K8sClusterAddonsV2Serializer'
          description: Cluster add-ons configuration
          examples:
            - slurm:
                enabled: true
                file_share_id: cbc94d0e-06c6-4d12-9e86-9782ba14fc8c
                ssh_key_ids:
                  - 25735292-bd97-44b0-a1af-d7eab876261d
                  - efc01f3a-35b9-4385-89f9-e38439093ee7
                worker_count: 2
        authentication:
          anyOf:
            - $ref: '#/components/schemas/K8sClusterAuthenticationV2Serializer'
            - type: 'null'
          default: null
          description: Cluster authentication settings
          examples:
            - kubeconfig_created_at: '2024-02-15T11:53:03Z'
              kubeconfig_expires_at: '2026-02-15T11:53:03Z'
              oidc:
                client_id: kubernetes
                groups_claim: groups
                groups_prefix: 'oidc:'
                issuer_url: https://accounts.provider.example
                required_claims:
                  claim: value
                signing_algs:
                  - RS256
                  - RS512
                username_claim: sub
                username_prefix: 'oidc:'
        autoscaler_config:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          default: null
          description: >-
            Cluster autoscaler configuration.


            It contains overrides to the default cluster-autoscaler parameters
            provided by the platform.
          examples:
            - scale-down-unneeded-time: 5m
          title: Autoscaler Config
        cni:
          anyOf:
            - $ref: '#/components/schemas/K8sClusterCNIV2Serializer'
            - type: 'null'
          default: null
          description: Cluster CNI settings
        created_at:
          description: Function creation date
          example: '2023-02-15T11:53:03Z'
          examples:
            - '2023-02-15T11:53:03Z'
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Task that created this entity
          examples:
            - 1772de21-f013-4b70-9f8f-a518985b3bc2
          title: Creator Task Id
        csi:
          $ref: '#/components/schemas/K8sClusterCSIV2Serializer'
          description: Cluster CSI settings
        ddos_profile:
          anyOf:
            - $ref: '#/components/schemas/K8sClusterDdosProfileV2Serializer'
            - type: 'null'
          default: null
          description: Advanced DDoS Protection profile
          examples:
            - enabled: true
              fields:
                - base_field: 10
                  field_value:
                    - 45046
                    - 45047
              profile_template: 29
        fixed_network:
          anyOf:
            - type: string
            - type: 'null'
          default: ''
          description: Fixed network id
          examples:
            - 3fa85f64-5717-4562-b3fc-2c963f66afa6
          title: Fixed Network
        fixed_subnet:
          anyOf:
            - type: string
            - type: 'null'
          default: ''
          description: Fixed subnet id
          examples:
            - 90729bc3-dd37-4761-ae09-b32f2f0a365b
          title: Fixed Subnet
        id:
          description: Cluster pool uuid
          example: f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1
          examples:
            - f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1
          title: Id
          type: string
        is_ipv6:
          default: false
          description: Enable public v6 address
          example: true
          examples:
            - true
            - false
          title: Is Ipv6
          type: boolean
        is_public:
          description: Cluster is public
          example: false
          examples:
            - false
          title: Is Public
          type: boolean
        keypair:
          description: Keypair
          example: mykeypair
          examples:
            - mykeypair
          title: Keypair
          type: string
        logging:
          anyOf:
            - $ref: '#/components/schemas/LoggingOutSerializer'
            - type: 'null'
          description: Logging configuration
          examples:
            - destination_region_id: 1
              enabled: true
              retention_policy:
                period: 45
              topic_name: my-log-name
        name:
          description: Name
          example: test k8s
          examples:
            - test k8s
          title: Name
          type: string
        pods_ip_pool:
          anyOf:
            - type: string
            - type: 'null'
          default: 172.16.0.0/18
          description: The IP pool for the pods
          examples:
            - 172.16.0.0/18
          title: Pods Ip Pool
        pods_ipv6_pool:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The IPv6 pool for the pods
          examples:
            - 2a03:90c0:88:393::/64
          title: Pods Ipv6 Pool
        pools:
          description: pools
          items:
            $ref: '#/components/schemas/K8sClusterPoolV2Serializer'
          title: Pools
          type: array
        services_ip_pool:
          anyOf:
            - type: string
            - type: 'null'
          default: 172.24.0.0/18
          description: The IP pool for the services
          examples:
            - 172.24.0.0/18
          title: Services Ip Pool
        services_ipv6_pool:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The IPv6 pool for the services
          examples:
            - 2a03:90c0:88:381::/108
          title: Services Ipv6 Pool
        status:
          $ref: '#/components/schemas/K8sClusterV2Status'
          description: Status
          examples:
            - Provisioned
        task_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - null
          title: Task Id
        version:
          description: K8s version
          example: v1.28.1
          examples:
            - v1.28.1
          title: Version
          type: string
      required:
        - add_ons
        - csi
        - created_at
        - id
        - is_public
        - keypair
        - logging
        - name
        - pools
        - status
        - version
      title: K8sClusterV2Serializer
      type: object
    K8sClusterAddonsV2Serializer:
      properties:
        slurm:
          $ref: '#/components/schemas/K8sClusterSlurmAddonV2Serializer'
          description: Slurm add-on configuration
      required:
        - slurm
      title: K8sClusterAddonsV2Serializer
      type: object
    K8sClusterAuthenticationV2Serializer:
      properties:
        kubeconfig_created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: Kubeconfig creation date
          examples:
            - '2024-02-15T11:53:03Z'
          title: Kubeconfig Created At
        kubeconfig_expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: Kubeconfig expiration date
          examples:
            - '2026-02-15T11:53:03Z'
          title: Kubeconfig Expires At
        oidc:
          anyOf:
            - $ref: '#/components/schemas/K8sClusterOIDCV2Serializer'
            - type: 'null'
          default: null
          description: OIDC authentication settings
      title: K8sClusterAuthenticationV2Serializer
      type: object
    K8sClusterCNIV2Serializer:
      properties:
        cilium:
          anyOf:
            - $ref: '#/components/schemas/K8sClusterCiliumV2Serializer'
            - type: 'null'
          default: null
          description: Cilium settings
        provider:
          $ref: '#/components/schemas/K8sClusterCNI'
          default: calico
          description: CNI provider
          examples:
            - calico
      title: K8sClusterCNIV2Serializer
      type: object
    K8sClusterCSIV2Serializer:
      properties:
        nfs:
          $ref: '#/components/schemas/K8sClusterNFSV2Serializer'
          description: NFS settings
          examples:
            - vast_enabled: true
      required:
        - nfs
      title: K8sClusterCSIV2Serializer
      type: object
    K8sClusterDdosProfileV2Serializer:
      properties:
        enabled:
          description: Enable advanced DDoS protection
          example: true
          examples:
            - true
          title: Enabled
          type: boolean
        fields:
          anyOf:
            - items:
                $ref: '#/components/schemas/K8sClusterDdosProfileFieldV2Serializer'
              type: array
            - type: 'null'
          default: null
          description: DDoS profile parameters
          examples:
            - - base_field: 10
                field_value:
                  - 45046
                  - 45047
          title: Fields
        profile_template:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: DDoS profile template ID
          examples:
            - 29
          title: Profile Template
        profile_template_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: DDoS profile template name
          examples: []
          title: Profile Template Name
      required:
        - enabled
      title: K8sClusterDdosProfileV2Serializer
      type: object
    LoggingOutSerializer:
      properties:
        destination_region_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: ID of the region in which the logs will be stored
          examples:
            - 1
          title: Destination Region Id
        enabled:
          description: Indicates if log streaming is enabled or disabled
          example: true
          examples:
            - true
            - false
          title: Enabled
          type: boolean
        retention_policy:
          anyOf:
            - $ref: '#/components/schemas/LaasIndexRetentionPolicyPydanticSerializer'
            - type: 'null'
          default: null
          description: Logs retention policy
          examples:
            - period: 45
        topic_name:
          anyOf:
            - type: string
            - type: 'null'
          description: The topic name to stream logs to
          examples:
            - my-log-name
          title: Topic Name
      required:
        - enabled
        - destination_region_id
        - topic_name
      title: LoggingOutSerializer
      type: object
    K8sClusterPoolV2Serializer:
      properties:
        auto_healing_enabled:
          description: Indicates the status of auto healing
          example: true
          examples:
            - true
          title: Auto Healing Enabled
          type: boolean
        boot_volume_size:
          description: Size of the boot volume
          example: 50
          examples:
            - 50
          title: Boot Volume Size
          type: integer
        boot_volume_type:
          description: Type of the boot volume
          example: ssd_hiiops
          examples:
            - ssd_hiiops
          title: Boot Volume Type
          type: string
        created_at:
          description: Date of function creation
          example: '2023-02-15T11:53:03+03:00'
          examples:
            - '2023-02-15T11:53:03+03:00'
          title: Created At
          type: string
        crio_config:
          additionalProperties:
            type: string
          description: Crio configuration for pool nodes
          example:
            default-ulimits: nofile=1024:2048
          examples:
            - default-ulimits: nofile=1024:2048
          title: Crio Config
          type: object
        flavor_id:
          description: ID of the cluster pool flavor
          example: g1-standard-1-2
          examples:
            - g1-standard-1-2
          title: Flavor Id
          type: string
        id:
          description: UUID of the cluster pool
          example: f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1
          examples:
            - f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1
          title: Id
          type: string
        is_public_ipv4:
          description: Indicates if the pool is public
          example: true
          examples:
            - true
          title: Is Public Ipv4
          type: boolean
        kubelet_config:
          additionalProperties:
            type: string
          description: Kubelet configuration for pool nodes
          example:
            podMaxPids: '4096'
          examples:
            - podMaxPids: '4096'
          title: Kubelet Config
          type: object
        labels:
          additionalProperties:
            type: string
          description: Labels applied to the cluster pool
          example:
            my-label: foo
          examples:
            - my-label: foo
          title: Labels
          type: object
        max_node_count:
          description: Maximum node count in the cluster pool
          example: 10
          examples:
            - 10
          title: Max Node Count
          type: integer
        min_node_count:
          description: Minimum node count in the cluster pool
          example: 1
          examples:
            - 1
          title: Min Node Count
          type: integer
        name:
          description: Name of the cluster pool
          example: test
          examples:
            - test
          title: Name
          type: string
        node_count:
          description: Node count in the cluster pool
          example: 2
          examples:
            - 2
          title: Node Count
          type: integer
        servergroup_id:
          default: ''
          description: Server group ID
          example: 1772de21-f013-4b70-9f8f-a518985b3bc2
          examples:
            - 1772de21-f013-4b70-9f8f-a518985b3bc2
          title: Servergroup Id
          type: string
        servergroup_name:
          default: ''
          description: Server group name
          example: my-server-group
          examples:
            - my-server-group
          title: Servergroup Name
          type: string
        servergroup_policy:
          default: ''
          description: Anti-affinity, affinity or soft-anti-affinity server group policy
          example: anti-affinity
          examples:
            - anti-affinity
          title: Servergroup Policy
          type: string
        status:
          description: Status of the cluster pool
          example: Running
          examples:
            - Running
          title: Status
          type: string
        taints:
          additionalProperties:
            type: string
          description: Taints applied to the cluster pool
          example:
            my-taint: bar:NoSchedule
          examples:
            - my-taint: bar:NoSchedule
          title: Taints
          type: object
      required:
        - auto_healing_enabled
        - boot_volume_size
        - boot_volume_type
        - created_at
        - crio_config
        - flavor_id
        - id
        - is_public_ipv4
        - kubelet_config
        - max_node_count
        - min_node_count
        - name
        - node_count
        - status
        - labels
        - taints
      title: K8sClusterPoolV2Serializer
      type: object
    K8sClusterV2Status:
      enum:
        - Deleting
        - Provisioned
        - Provisioning
      title: K8sClusterV2Status
      type: string
    K8sClusterSlurmAddonV2Serializer:
      properties:
        enabled:
          description: >-
            Indicates whether Slurm add-on is deployed in the cluster.


            This add-on is only supported in clusters running Kubernetes v1.31
            and v1.32 with at least 1 GPU cluster pool.
          example: true
          examples:
            - true
            - false
          title: Enabled
          type: boolean
        file_share_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            ID of a VAST file share used as Slurm storage.


            The Slurm add-on creates separate Persistent Volume Claims for
            different purposes (controller spool, worker spool, jail) on that
            file share.
          examples:
            - cbc94d0e-06c6-4d12-9e86-9782ba14fc8c
          title: File Share Id
        ssh_key_ids:
          anyOf:
            - items:
                format: uuid4
                type: string
              type: array
            - type: 'null'
          description: IDs of SSH keys authorized for SSH connection to Slurm login nodes.
          examples:
            - - 25735292-bd97-44b0-a1af-d7eab876261d
              - efc01f3a-35b9-4385-89f9-e38439093ee7
          title: Ssh Key Ids
        worker_count:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Size of the worker pool, i.e. number of worker nodes.


            Each Slurm worker node is backed by a Pod scheduled on one of
            cluster's GPU nodes.


            Note: Downscaling (reducing worker count) is not supported.
          examples:
            - 2
          title: Worker Count
      required:
        - enabled
        - file_share_id
        - ssh_key_ids
        - worker_count
      title: K8sClusterSlurmAddonV2Serializer
      type: object
    K8sClusterOIDCV2Serializer:
      properties:
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Client ID
          examples:
            - kubernetes
          title: Client Id
          x-stainless-terraform-configurability: computed_optional
        groups_claim:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: JWT claim to use as the user's group
          examples:
            - groups
          title: Groups Claim
          x-stainless-terraform-configurability: computed_optional
        groups_prefix:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Prefix prepended to group claims
          examples:
            - 'oidc:'
          title: Groups Prefix
          x-stainless-terraform-configurability: computed_optional
        issuer_url:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Issuer URL
          examples:
            - https://accounts.provider.example
          title: Issuer Url
          x-stainless-terraform-configurability: computed_optional
        required_claims:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          default: null
          description: Key-value pairs that describe required claims in the token
          examples:
            - claim: value
          title: Required Claims
          x-stainless-terraform-configurability: computed_optional
        signing_algs:
          anyOf:
            - items:
                $ref: '#/components/schemas/OIDCSigningAlgorithmEnum'
              type: array
            - type: 'null'
          default: null
          description: Accepted signing algorithms
          examples:
            - - RS512
          title: Signing Algs
          x-stainless-terraform-configurability: computed_optional
        username_claim:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: JWT claim to use as the user name
          examples:
            - sub
          title: Username Claim
          x-stainless-terraform-configurability: computed_optional
        username_prefix:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Prefix prepended to username claims to prevent clashes
          examples:
            - 'oidc:'
          title: Username Prefix
          x-stainless-terraform-configurability: computed_optional
      title: K8sClusterOIDCV2Serializer
      type: object
    K8sClusterCiliumV2Serializer:
      properties:
        encryption:
          default: false
          description: Wireguard encryption
          title: Encryption
          type: boolean
        hubble_relay:
          default: false
          description: Hubble Relay
          title: Hubble Relay
          type: boolean
        hubble_ui:
          default: false
          description: Hubble UI
          title: Hubble Ui
          type: boolean
        lb_acceleration:
          default: false
          description: LoadBalancer acceleration
          title: Lb Acceleration
          type: boolean
        lb_mode:
          $ref: '#/components/schemas/K8sClusterCiliumLBMode'
          default: snat
          description: LoadBalancer mode
          examples:
            - hybrid
            - snat
            - dsr
        mask_size:
          default: 24
          description: Mask size for IPv4
          example: 24
          examples:
            - 24
          title: Mask Size
          type: integer
        mask_size_v6:
          default: 120
          description: Mask size for IPv6
          example: 120
          examples:
            - 120
          title: Mask Size V6
          type: integer
        routing_mode:
          $ref: '#/components/schemas/K8sClusterCiliumRoutingMode'
          default: tunnel
          description: Routing mode
          examples:
            - tunnel
        tunnel:
          $ref: '#/components/schemas/K8sClusterCiliumTunnel'
          default: geneve
          description: CNI provider
          examples:
            - geneve
      title: K8sClusterCiliumV2Serializer
      type: object
    K8sClusterCNI:
      enum:
        - calico
        - cilium
      title: K8sClusterCNI
      type: string
    K8sClusterNFSV2Serializer:
      properties:
        vast_enabled:
          description: Indicates the status of VAST NFS integration
          example: true
          examples:
            - true
          title: Vast Enabled
          type: boolean
      required:
        - vast_enabled
      title: K8sClusterNFSV2Serializer
      type: object
    K8sClusterDdosProfileFieldV2Serializer:
      properties:
        base_field:
          description: ''
          example: 10
          examples:
            - 10
          title: Base Field
          type: integer
        field_value:
          anyOf:
            - {}
            - type: 'null'
          default: null
          description: Complex value for the DDoS profile field
          examples:
            - - 45046
              - 45047
          title: Field Value
      required:
        - base_field
      title: K8sClusterDdosProfileFieldV2Serializer
      type: object
    LaasIndexRetentionPolicyPydanticSerializer:
      properties:
        period:
          anyOf:
            - exclusiveMinimum: 0
              maximum: 1825
              type: integer
            - type: 'null'
          description: Duration of days for which logs must be kept.
          examples:
            - 45
          title: Period
      required:
        - period
      title: LaasIndexRetentionPolicyPydanticSerializer
      type: object
    OIDCSigningAlgorithmEnum:
      enum:
        - ES256
        - ES384
        - ES512
        - PS256
        - PS384
        - PS512
        - RS256
        - RS384
        - RS512
      title: OIDCSigningAlgorithmEnum
      type: string
    K8sClusterCiliumLBMode:
      enum:
        - dsr
        - hybrid
        - snat
      title: K8sClusterCiliumLBMode
      type: string
    K8sClusterCiliumRoutingMode:
      enum:
        - native
        - tunnel
      title: K8sClusterCiliumRoutingMode
      type: string
    K8sClusterCiliumTunnel:
      enum:
        - ''
        - geneve
        - vxlan
      title: K8sClusterCiliumTunnel
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````